<!-------------------------------------------------------------------------------------------------
  - #%L                                                                                           -
  - chvote-pact                                                                                   -
  - %%                                                                                            -
  - Copyright (C) 2016 - 2018 République et Canton de Genève                                      -
  - %%                                                                                            -
  - This program is free software: you can redistribute it and/or modify                          -
  - it under the terms of the GNU Affero General Public License as published by                   -
  - the Free Software Foundation, either version 3 of the License, or                             -
  - (at your option) any later version.                                                           -
  -                                                                                               -
  - This program is distributed in the hope that it will be useful,                               -
  - but WITHOUT ANY WARRANTY; without even the implied warranty of                                -
  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                  -
  - GNU General Public License for more details.                                                  -
  -                                                                                               -
  - You should have received a copy of the GNU Affero General Public License                      -
  - along with this program. If not, see <http://www.gnu.org/licenses/>.                          -
  - #L%                                                                                           -
  ------------------------------------------------------------------------------------------------->

<mat-card class="pv-table">
  <mat-card-header>
    <mat-card-title id="privilegedActionsCardTitle">
      {{'privileged-actions.table.card.title' | translate}}
    </mat-card-title>
  </mat-card-header>
  <mat-card-content>

    <mat-tab-group [selectedIndex]="currentFilter" (selectedTabChange)="filterChanged($event.index)">
      <mat-tab>
        <ng-template mat-tab-label>
          {{'privileged-actions.table.filters.all' | translate | uppercase}}
        </ng-template>
      </mat-tab>
      <mat-tab>
        <ng-template mat-tab-label>
          {{'privileged-actions.table.filters.mine' | translate | uppercase}}
        </ng-template>
      </mat-tab>
      <mat-tab>
        <ng-template mat-tab-label>
          {{'privileged-actions.table.filters.other' | translate | uppercase}}
        </ng-template>
      </mat-tab>
    </mat-tab-group>

    <mat-table id="privilegedActionsTable" #table [dataSource]="privilegedActionsDataSource" matSort>
      <!-- Operation Name Column -->
      <ng-container matColumnDef="operationName">
        <mat-header-cell *matHeaderCellDef mat-sort-header> {{'privileged-actions.fieldNames.operationName' |
          translate}}
        </mat-header-cell>
        <mat-cell *matCellDef="let row"> {{row.operationName}}</mat-cell>
      </ng-container>
      <!-- Operation Date Column -->
      <ng-container matColumnDef="operationDate">
        <mat-header-cell *matHeaderCellDef mat-sort-header> {{'privileged-actions.fieldNames.operationDate' |
          translate}}
        </mat-header-cell>
        <mat-cell *matCellDef="let row"> {{row.operationDate | date: 'dd.MM.yyyy'}}</mat-cell>
      </ng-container>
      <!-- Status Date Column -->
      <ng-container matColumnDef="statusDate">
        <mat-header-cell *matHeaderCellDef mat-sort-header> {{'privileged-actions.fieldNames.statusDate' | translate}}
        </mat-header-cell>
        <mat-cell *matCellDef="let row"> {{row.statusDate | date: 'dd.MM.yyyy HH:mm'}}</mat-cell>
      </ng-container>
      <!-- Owner Name Column -->
      <ng-container *ngIf="showOwner" matColumnDef="ownerName">
        <mat-header-cell *matHeaderCellDef mat-sort-header> {{'privileged-actions.fieldNames.ownerName' | translate}}
        </mat-header-cell>
        <mat-cell *matCellDef="let row"> {{row.ownerName}}</mat-cell>
      </ng-container>
      <!-- Type Column -->
      <ng-container matColumnDef="type">
        <mat-header-cell *matHeaderCellDef mat-sort-header> {{'privileged-actions.fieldNames.type' | translate}}
        </mat-header-cell>
        <mat-cell *matCellDef="let row"> {{('privileged-actions.table.types.' + row.type) | translate }}</mat-cell>
      </ng-container>

      <ng-container matColumnDef="action">
        <mat-header-cell *matHeaderCellDef></mat-header-cell>
        <mat-cell *matCellDef="let row">
          <button mat-icon-button (click)="viewDetails(row)">
            <mat-icon class="mat-24" color="primary">more_horiz</mat-icon>
          </button>
        </mat-cell>
      </ng-container>


      <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
      <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
    </mat-table>
    <div *ngIf="privilegedActionsDataSource.empty" class="pact-empty-table-msg">
      {{ 'privileged-actions.table.empty.' + privilegedActionsDataSource.filter | translate }}
    </div>
  </mat-card-content>
</mat-card>
